{% extends "base.html" %}

{% block styles %}
<link rel="stylesheet" href="{{url_for('static',filename='css/accueil.css')}}">
{% endblock %}

{% block body %}

<body class="d-flex">
    <div class="d-flex flex-grow-1" id="wrapper">
        {% block sidebar %}
        <aside id="sidebar-wrapper">
            <ul class="sidebar-nav">
                <li class="sidebar-brand">
                    <a href="#">
                        <img src="{{ url_for('static', filename='img/logo.png') }}" alt="Logo du site Hitflix">
                    </a>
                </li>
                <li><a href="/"><i class="fa fa-home"></i>Accueil</a> </li>
                <li><a href="/connected/recherche"><i class="fa fa-search"></i>Rechercher</a></li>
                <li><a class="popup" onclick="fonctionPopUp()" onfocusout="fonctionPopUp()">
                        <i class="fa fa-music"></i>Ma Musique
                        <div class="popuptext" id="myPopup">
                            <p class=titrepopup>Connectez vous pour accéder à votre Musique.</p>
                            <ul class="boutonPop">
                                <li>
                                    <button class="btn bg-white border rounded-pill" type="button" id="connexion"
                                        data-bs-hover-animate="pulse"
                                        onclick="window.location.href = '/login/'">CONNEXION</button>
                                </li>
                                <li>
                                    <button class="btn" type="button" data-bs-hover-animate="pulse" id="inscription"
                                        onclick="window.location.href = '/register/'">INSCRIPTION</button>
                                </li>
                            </ul>
                        </div>
                    </a>
                </li>
            </ul>
        </aside>
        {% endblock %}
        <div class="d-flex flex-grow-1 flex-fill page-content-wrapper" id="divMain">
            <div class="container-fluid">
                <div class="row d-flex">
                    <div class="col d-flex" id="col">
                        <nav class="navbar navbar-light navbar-expand-md d-flex flex-grow-1">
                            <div class="container-fluid">
                                <div class="collapse navbar-collapse d-flex justify-content-end" id="navcol-1">
                                    <ul class="nav navbar-nav d-flex">
                                        <li class="nav-item"><button class="btn bg-white border rounded-pill"
                                                id="connexion" type="button" data-bs-hover-animate="pulse"
                                                onclick="window.location.href = '/login/'">CONNEXION</button></li>
                                        <li class="nav-item"><button class="btn" type="button" id="inscription"
                                                data-bs-hover-animate="pulse"
                                                onclick="window.location.href = '/register/'">INSCRIPTION</button></li>
                                    </ul>
                                </div>
                            </div>
                        </nav>
                    </div>
                </div><a class="btn btn-dark btn-lg" role="button" id="menu-toggle" href="#menu-toggle"><i
                        class="fa fa-bars"></i></a>
                <div class="row">
                    <div class="col-md-12">
                        <h1 class="text-white">Albums à la une !</h1>
                        <div class="text-white">
                            <ul class="list-inline">
                                {% for i in range(14) %}
                                {% set artiste = funcArtist(albums[i].auteur_id) %}
                                <li class="list-inline-item" style="padding-bottom:0.5em;">
                                    <a class="text-white" href="/connected/album/{{albums[i].id}}">
                                        <div class="card bg-dark" data-bs-hover-animate="pulse">
                                            <div class="card-body" style="max-width: 12em;
                                                    min-height: 16em;" title="{{albums[i].titre}} - {{artiste.nom}}"><img class = center-block src="{{albums[i].urlImage}}"
                                                    style="width: 150px;height: auto;">
                                                <p class="text-center card-text">
                                                    {{albums[i].titre}}<br>{{artiste.nom}}<br>
                                                </p>
                                            </div>
                                        </div>
                                    </a>
                                </li>
                                {% endfor %}
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <h1 class="text-white">Artistes à la une !</h1>
                        <div class="text-white">
                            <ul class="list-inline">
                                {% for i in range(18) %}
                                <li class="list-inline-item" style="padding-bottom:0.5em;">
                                    <a class="text-white" href="/connected/artiste/{{artistes[i].id}}">
                                        <div class="card bg-dark" data-bs-hover-animate="pulse">
                                            <div class="card-body" style="filter: grayscale(0%) hue-rotate(0deg);width: 10em;
                                                    height: 5em;">
                                                <p class="text-center card-text" style="text-overflow: ellipsis;">
                                                    {{artistes[i].nom}}<br></p>
                                            </div>
                                        </div>
                                    </a>
                                </li>
                                {% endfor %}
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    {% block script %}
    <script src="{{url_for('static',filename='js/jquery.min.js')}}"></script>
    <script src="{{url_for('static',filename='bootstrap/js/bootstrap.min.js')}}"></script>
    <script src="{{url_for('static',filename='js/bs-init.js')}}"></script>
    <script src="{{url_for('static',filename='js/-Fixed-Navbar-start-with-transparency-background-BS4-.js')}}"></script>
    <script src="{{url_for('static',filename='js/Sidebar-Menu.js')}}"></script>
    <script>
        // When the user clicks on div, open the popup
        function fonctionPopUp() {
            var popup = document.getElementById("myPopup");
            popup.classList.toggle("show");
        }

        function fonctionRecherche() {
            var popup = document.getElementById("myPopupRecherche");
            popup.classList.toggle("show");
        }
    </script>
    {% endblock %}
</body>
{% endblock %}